#ifndef __BOILERPLATE_APPLICATION_H__
#define __BOILERPLATE_APPLICATION_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_APPLICATION (boilerplate_application_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplateApplication, boilerplate_application, BOILERPLATE, APPLICATION, GtkApplication)

BoilerplateApplication *
boilerplate_application_new (void);

void
boilerplate_application_set_accelerator (GtkApplication *application,
                                         const gchar    *action_name,
                                         const gchar    *accel);
void
boilerplate_application_set_accelerators (GtkApplication *application,
                                          const gchar    *action_name,
                                          const gchar   **accels);

void
boilerplate_application_show_uri (GApplication *user_data,
                                  const gchar  *uri);

G_END_DECLS

#endif /* __BOILERPLATE_APPLICATION_H__ */
