#ifndef __BOILERPLATE_PLUGINS_ENGINE_H__
#define __BOILERPLATE_PLUGINS_ENGINE_H__

#include <glib-object.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_PLUGINS_ENGINE (boilerplate_plugins_engine_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplatePluginsEngine, boilerplate_plugins_engine, BOILERPLATE, PLUGINS_ENGINE, GObject)

BoilerplatePluginsEngine *
boilerplate_plugins_engine_new (void);

BoilerplatePluginsEngine *
boilerplate_plugins_engine_get_default (void);

void
boilerplate_plugins_engine_add_path (BoilerplatePluginsEngine *self,
                                     const gchar              *path,
                                     const gchar              *data_path);

void
boilerplate_plugins_engine_add_prepend_path (BoilerplatePluginsEngine *self,
                                             const gchar              *path,
                                             const gchar              *data_path);

GSettings *
boilerplate_plugins_engine_get_plugin_settings (BoilerplatePluginsEngine *self,
                                                const gchar              *module_name);

void
boilerplate_plugins_engine_toggle_plugin (BoilerplatePluginsEngine *self,
                                          const gchar              *key,
                                          GSettings                *settings);

G_END_DECLS

#endif /* __BOILERPLATE_PLUGINS_ENGINE_H__ */
